[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: duali 0.1.1 ?

On Mon, Jul 07, 2003 at 08:01:38AM +0300, Mohammed Sameer wrote:


Alright, I had a look at the debian packages. Back to the same db
problem (something tells me I am going to hate this ;)

The most significant change in this version is the db business. That is,
it would use whatever db is available in your system. However, the deb
packages you created have a duali-data with already generated db's. This
means that I would have to have the same dbm that you used to create
those db's. No good. At the very least, you need to cite the depdency of
that dbm if it is the case.

For example, if you used bsddb3 python module to generate the db via
dict2db.py and I don't have it on my system.. duali will not work..
cause it won't be able to read the db's. So, I would have to generate
them on my system. I can't generate them on my system if I don't have
the raw text files ;)

So.. what do you think? 

Also, the manpages.. I am going to rewrite them (to add more beef). I
also think it is better if they are named without the .py (ie. I don't
want to type 'man duali.py' instead of 'man duali'. 

I will check them into cvs and then work on them from there. Thanks a
_lot_ for that btw ;)

P.S. If you went to bed at 8am, I would guess you won't be up till about
2pm <g> 

Mohammed Elzubeir